org.jboss.jca.codegenerator

## Enum Version

- java.lang.Object
- - java.lang.Enum<Version>
  - - org.jboss.jca.codegenerator.Version

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Version>

      public enum Version
      extends java.lang.Enum<Version>

  JCA Version
  Version:
    $Revision: $
  Author:
    Jeff Zhang

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `UNKNOWN` Unknown
    `V_10` 1.0
    `V_15` 1.5
    `V_16` 1.6
    `V_17` 1.7

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Version` | `forName(java.lang.String localName)` Static method to get enum instance given localName XsdString
    `java.lang.String` | `getLocalName()` Get the name
    `java.lang.String` | `toString()`
    `static Version` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Version[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNKNOWN

          public static final Version UNKNOWN

      Unknown

    - #### V_10

          public static final Version V_10

      1.0

    - #### V_15

          public static final Version V_15

      1.5

    - #### V_16

          public static final Version V_16

      1.6

    - #### V_17

          public static final Version V_17

      1.7

  - ### Method Detail

    - #### values

          public static Version[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Version c : Version.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Version valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getLocalName

          public java.lang.String getLocalName()

      Get the name
      Returns:
        The value

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<Version>`

    - #### forName

          public static Version forName(java.lang.String localName)

      Static method to get enum instance given localName XsdString
      Parameters:
        `localName` - a XsdString used as localname (typically tag name as defined in xsd)
      Returns:
        the enum instance

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)